﻿using System;
using DHI.Solutions.Generic;

namespace MyNoteManager.Interfaces
{
    public interface IMyNote : IGroupedEntity, INamedEntity, IDTO, ICloneable, ISelectable
    {
        #region Public Properties

        /// <summary>
        /// Gets or sets format of document
        /// </summary>
        new object Id
        {
            get;
            set;
        }
        
        /// <summary>
        /// Gets or sets the text of MyNote
        /// </summary>
        string Text
        {
            get;
            set;
        }

        #endregion
    }
}
